package com.piranhaj.dependenciestest;

import junit.framework.TestCase;

public class DependenciesTest extends TestCase {

	private Dependencies dependencies = null;
	
	protected void setUp() throws Exception {
		super.setUp();
		
		dependencies = new Dependencies();
	}

	protected void tearDown() throws Exception {
		super.tearDown();
		
		dependencies = null;
	}
	
	public void testStatic() {
		String result = dependencies.getStatic();
		
		assertEquals("result should be 'static'", "static", result);
	}
	
	public void testIsBlankShouldBeTrue() {
		boolean result = dependencies.isBlank("");
		
		assertTrue("result should be true", result);
	}
	
	public void testIsBlankShouldBeFalse() {
		boolean result = dependencies.isBlank("I'm not blank!");
		
		assertFalse("result should be false", result);
	}
	
	public void testDeliberatelyBroken() {
		assertEquals("This should be broken", 4, 2 + 1);
	}

}
